
From: Paul Mundt <lethal@Linux-SH.ORG>

There were a couple of cli()/sti() users left, so we get rid of them..
Hopefully this is the last of this mess.

Signed-off-by: James Nelson <james4765@cwazy.co.uk>
Signed-off-by: Paul Mundt <lethal@linux-sh.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sh64/kernel/time.c     |    4 ++--
 25-akpm/arch/sh64/mach-cayman/irq.c |    8 ++++----
 25-akpm/arch/sh64/mm/fault.c        |    2 +-
 3 files changed, 7 insertions(+), 7 deletions(-)

diff -puN arch/sh64/kernel/time.c~sh64-send-cli-sti-back-from-whence-it-came arch/sh64/kernel/time.c
--- 25/arch/sh64/kernel/time.c~sh64-send-cli-sti-back-from-whence-it-came	2005-03-07 20:41:27.000000000 -0800
+++ 25-akpm/arch/sh64/kernel/time.c	2005-03-07 20:41:27.000000000 -0800
@@ -425,7 +425,7 @@ static __init unsigned int get_cpu_hz(vo
 	*/
 	register unsigned long long  __rtc_irq_flag __asm__ ("r3");
 
-	sti();
+	local_irq_enable();
 	do {} while (ctrl_inb(R64CNT) != 0);
 	ctrl_outb(RCR1_CIE, RCR1); /* Enable carry interrupt */
 
@@ -444,7 +444,7 @@ static __init unsigned int get_cpu_hz(vo
 		     "getcon	" __CTC ", %0\n\t"
 		: "=r"(ctc_val), "=r" (__dummy), "=r" (__rtc_irq_flag)
 		: "0" (0));
-	cli();
+	local_irq_disable();
 	/*
 	 * SH-3:
 	 * CPU clock = 4 stages * loop
diff -puN arch/sh64/mach-cayman/irq.c~sh64-send-cli-sti-back-from-whence-it-came arch/sh64/mach-cayman/irq.c
--- 25/arch/sh64/mach-cayman/irq.c~sh64-send-cli-sti-back-from-whence-it-came	2005-03-07 20:41:27.000000000 -0800
+++ 25-akpm/arch/sh64/mach-cayman/irq.c	2005-03-07 20:41:27.000000000 -0800
@@ -64,11 +64,11 @@ static void enable_cayman_irq(unsigned i
 	irq -= START_EXT_IRQS;
 	reg = EPLD_MASK_BASE + ((irq / 8) << 2);
 	bit = 1<<(irq % 8);
-	save_and_cli(flags);
+	local_irq_save(flags);
 	mask = ctrl_inl(reg);
 	mask |= bit;
 	ctrl_outl(mask, reg);
-	restore_flags(flags);
+	local_irq_restore(flags);
 }
 
 void disable_cayman_irq(unsigned int irq)
@@ -81,11 +81,11 @@ void disable_cayman_irq(unsigned int irq
 	irq -= START_EXT_IRQS;
 	reg = EPLD_MASK_BASE + ((irq / 8) << 2);
 	bit = 1<<(irq % 8);
-	save_and_cli(flags);
+	local_irq_save(flags);
 	mask = ctrl_inl(reg);
 	mask &= ~bit;
 	ctrl_outl(mask, reg);
-	restore_flags(flags);
+	local_irq_restore(flags);
 }
 
 static void ack_cayman_irq(unsigned int irq)
diff -puN arch/sh64/mm/fault.c~sh64-send-cli-sti-back-from-whence-it-came arch/sh64/mm/fault.c
--- 25/arch/sh64/mm/fault.c~sh64-send-cli-sti-back-from-whence-it-came	2005-03-07 20:41:27.000000000 -0800
+++ 25-akpm/arch/sh64/mm/fault.c	2005-03-07 21:14:49.000000000 -0800
@@ -148,7 +148,7 @@ asmlinkage void do_page_fault(struct pt_
 	mm = tsk->mm;
 
 	/* Not an IO address, so reenable interrupts */
-	sti();
+	local_irq_enable();
 
 	/*
 	 * If we're in an interrupt or have no user
_
